using System;

namespace Drugi_zadatak_kvalifikacije2_2021
{
    class Program
    {
        static void Main(string[] args)
        {
            int broj_redova = int.Parse(Console.ReadLine());
            string[] resenja = new string[broj_redova]; 
            for (int i = 0; i < broj_redova; i++)
            {
                string[] line = Console.ReadLine().Split();
                ulong n = ulong.Parse(line[0]);
                ulong m = ulong.Parse(line[1]);
                ulong k = ulong.Parse(line[2]);
                ulong grupa = n - (k - 1);
                ulong sum = k*zbir(n/k)+(n%k)*(n/k+1);
                if (sum <= m) resenja[i] = "Tak";
                else resenja[i] = "Nie";
            }
            
            foreach (var item in resenja)
            {
                Console.WriteLine(item);
            }
        }
        static ulong zbir(ulong n)
        {
            return n * (n + 1) / 2;
        }
    }
}